import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * The bloodstream is the setting for our White Blood Cell scenario. 
 * It's a place where blood cells, bacteria and viruses float around.
 * 
 * @author Michael Kölling
 * @version 0.1
 */
public class Bloodstream extends World
{

    /**
     * Constructor: Set up the staring objects.
     */
    int score;
    public Bloodstream()
    {    
        super(780, 360, 1); 
        score = 0;
        prepare();
    }
    public void UpdateScoreN(){
        score -= 2;
        showText("Score: " + score, 50, 20);
    }
    public void UpdateScoreNN(){
        score -= 10;
        showText("Score: " + score, 50, 20);
    }
    public void UpdateScoreP(){
        score += 1;
        showText("Score: " + score, 50, 20);
    }
    
    public void shoot(){
        Bullet bullet = new Bullet();
        
        addObject(bullet, 10, Greenfoot.getRandomNumber(360));
        
    }
    int limit = 2000;

    /**
     * Create new floating objects at irregular intervals.
     */
    public void act()
    {
        if (Greenfoot.getRandomNumber(100) < 3){
            Bacteria nextBact = new Bacteria();
            addObject(nextBact,780,Greenfoot.getRandomNumber(360));
        }
        if (Greenfoot.getRandomNumber(100) < 1){
            Virus nextvirus = new Virus();
            addObject(nextvirus,780,Greenfoot.getRandomNumber(360));
        }
        if (Greenfoot.getRandomNumber(100) < 3){
            Lining liningof = new Lining();
            addObject(liningof,780,Greenfoot.getRandomNumber(10));
        }
        if (Greenfoot.getRandomNumber(100) < 3){
            Lining liningof2 = new Lining();
            addObject(liningof2,780,Greenfoot.getRandomNumber(10)+345);
        }
        
        limit -= 1;
        if (limit == 0){
            
            Greenfoot.stop();
            showText("Score: " + score, 390, 180);
            showText("Congradulations", 390, 140);
            
        }
        if (score < 0){
            Greenfoot.stop();
            showText("Game over", 390, 180);
            Greenfoot.playSound("game-over.wav");
        }
        
        if (Greenfoot.isKeyDown("space")){
            shoot();
        }
    }
    
    /**
     * Prepare the world for the start of the program. In this case: Create
     * a white blood cell and the lining at the edge of the blood stream.
     */
    private void prepare()
    {

        Lining lining = new Lining();
        addObject(lining,113,351);
        Lining lining2 = new Lining();
        addObject(lining2,314,355);
        Lining lining3 = new Lining();
        addObject(lining3,521,353);
        Lining lining4 = new Lining();
        addObject(lining4,728,354);
        Lining lining5 = new Lining();
        addObject(lining5,67,19);
        lining5.setLocation(67,13);
        Lining lining6 = new Lining();
        addObject(lining6,265,20);
        Lining lining7 = new Lining();
        addObject(lining7,456,18);
        lining7.setLocation(455,9);
        Lining lining8 = new Lining();
        addObject(lining8,697,19);
        lining8.setLocation(696,9);
        
        Lining liningof = new Lining();
        addObject(liningof,697,19);
        liningof.setLocation(696,9);
        
        Lining liningof2 = new Lining();
        addObject(liningof2,697,19);
        liningof2.setLocation(696,9);
        
        WhiteCell whitecell = new WhiteCell();
        addObject(whitecell,100,180);
        
        
    }
}
