import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * This is a white blood cell. This kind of cell has the job to catch 
 * bacteria and remove them from the blood.
 * 
 * @author Michael Kölling
 * @version 0.1
 */
public class WhiteCell extends Actor
{
    /**
     * Act: move up and down when cursor keys are pressed.
     */
    
    public void act() 
    {
        checkKeyPress(); 
        
        if (isTouching(Bacteria.class)){
            ((Bloodstream)getWorld()).UpdateScoreP();
            removeTouching(Bacteria.class);
            
        }
        if (isTouching(Virus.class)){
            ((Bloodstream)getWorld()).UpdateScoreNN();
            removeTouching(Virus.class);
            
        }
        
    }
    
    /**
     * Check whether a keyboard key has been pressed and react if it has.
     */
    private void checkKeyPress()
    {
        
        if (Greenfoot.isKeyDown("up")){
            
            setLocation(getX(), getY()-10);
        }
        if (Greenfoot.isKeyDown("down")){
            
            setLocation(getX(), getY()+10);
        }
        if (Greenfoot.isKeyDown("left")){
            
            setLocation(getX()-10, getY());
        }
        if (Greenfoot.isKeyDown("right")){
            
            setLocation(getX()+10, getY());
        }
    }
    /*
    public int getx(){
        int x = getX();
        
        return x;
    }
    public int gety(){
        return getY();
    }
    */
}
